> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Account Fundings

> This endpoint retrieves the account fundings.



## OpenAPI

````yaml GET /api/v1/fundings
openapi: 3.1.0
info:
  title: User Account API
  version: 1.0.0
servers:
  - url: https://user-account.sandbox.rails.xyz
security: []
paths:
  /api/v1/fundings:
    get:
      summary: Get Account Fundings
      operationId: getAccountFundings
      parameters:
        - $ref: '#/components/parameters/market'
        - $ref: '#/components/parameters/start'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/fundingsResponse'
              example:
                fundings:
                  - dataType: FUNDING
                    market: ETH-USDT
                    value: '-1.51989368'
                    rate: '-0.04'
                    indexPrice: '3799.73421126312'
                    positionSize: '-1'
                    txCreated: 1716921945759
                last: ETH-USDT#FUNDING#01J4MD3R7N4HH4G76PT47VG3QC#1716921945759
        '401':
          $ref: '#/components/responses/Unauthorized'
      security:
        - bearerAuth: []
components:
  parameters:
    market:
      name: market
      in: query
      description: >-
        Market name. Example value: `ETH-USDT`. To get all supported markets,
        call [/api/v1/markets](/latest/perps/rest-api/get-supported-markets)
        endpoint. Omit this parameter to get results across all markets.
      required: false
      schema:
        type: string
    start:
      name: start
      in: query
      required: false
      description: >-
        This is a parameter to support pagination. Get the value from the `last`
        field if present in the previous response.
      schema:
        type: string
  schemas:
    fundingsResponse:
      type: object
      properties:
        fundings:
          type: array
          description: List of funding fee transactions for the account.
          items:
            type: object
            properties:
              dataType:
                type: string
                description: Type of transaction. Always 'FUNDING' for funding fees.
              market:
                type: string
                description: Market name.
              value:
                type: string
                description: >-
                  The value of the funding fee. Positive if received, negative
                  if paid.
              rate:
                type: string
                description: The funding rate at which the fee was calculated.
              indexPrice:
                type: string
                description: Index price at the time of funding fee calculation.
              positionSize:
                type: string
                description: >-
                  Quantity of the position for which the funding fee was
                  calculated. Positive for long, negative for short.
              txCreated:
                type: number
                description: Funding fee calculation timestamp (milliseconds since epoch).
            required:
              - dataType
              - market
              - value
              - rate
              - indexPrice
              - positionSize
              - txCreated
        last:
          $ref: '#/components/schemas/last'
      required:
        - fundings
    last:
      type: string
      description: >-
        This is a field in the response to support pagination. Use this value if
        present for the `start` parameter of the following request to get the
        next page of results.
  responses:
    Unauthorized:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: A human-readable message describing the error.
            required:
              - message
          example:
            message: Unauthorized
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````